package org.dromara.mall.promotion.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 营销活动类型枚举
 *
 * @author pengles
 */
@Getter
@AllArgsConstructor
public enum PromotionType {

    /**
     * 普通活动
     */
    NORMAL(0, "普通活动"),

    /**
     * 拼团活动
     */
    GROUP_BUY(1, "拼团活动"),

    /**
     * 秒杀活动
     */
    SECKILL(2, "秒杀活动"),

    /**
     * 砍价活动
     */
    BARGAIN(3, "砍价活动");

    /**
     * 类型值
     */
    private final Integer value;

    /**
     * 类型名称
     */
    private final String name;

    /**
     * 根据值获取枚举
     */
    public static PromotionType getByValue(Integer value) {
        for (PromotionType type : values()) {
            if (type.getValue().equals(value)) {
                return type;
            }
        }
        return null;
    }

}
